# Method: projects.locations.clientTlsPolicies.create

- [HTTP request](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.clientTlsPolicies/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.clientTlsPolicies/create#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.clientTlsPolicies/create#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.clientTlsPolicies/create#body.request_body)
- [Response body](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.clientTlsPolicies/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.clientTlsPolicies/create#body.aspect)

Creates a new ClientTlsPolicy in a given project and location.

### HTTP request

`POST https://networksecurity.googleapis.com/v1beta1/{parent=projects/*/locations/*}/clientTlsPolicies`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource of the ClientTlsPolicy. Must be in the format `projects/*/locations/{location}`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `networksecurity.clientTlsPolicies.create` |

### Query parameters

| Parameters ||
|---|---|
| `clientTlsPolicyId` | `string` Required. Short name of the ClientTlsPolicy resource to be created. This value should be 1-63 characters long, containing only letters, numbers, hyphens, and underscores, and should not start with a number. E.g. "client_mtls_policy". Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `clientTlsPolicyId`: - `networksecurity.clientTlsPolicies.create` |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/projects.locations.clientTlsPolicies#ClientTlsPolicy`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/service-mesh/v1.23/docs/reference/network-security/rest/v1beta1/organizations.locations.operations#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).